package com.fs.company.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 采购对象 company_purchase
 *
 * @author fs
 * @date 2025-07-01
 */
public class CompanyPurchase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 原料ID */
    @Excel(name = "原料ID")
    private Long materialId;

    /** 批次 */
    @Excel(name = "批次")
    private String batchNo;

    /** 所属单位 */
    @Excel(name = "所属单位")
    private Long companyId;

    /** 采购数量 */
    @Excel(name = "采购数量")
    private Long num;

    /** 原企业ID */
    @Excel(name = "原企业ID")
    private Long opCompanyId;

    /** 地区IDS 多个用,分隔 */
    @Excel(name = "地区IDS 多个用,分隔")
    private String cityIds;

    /** 产地名称 */
    @Excel(name = "产地名称")
    private String cityName;

    /** 上下游关联 */
    @Excel(name = "上下游关联")
    private String linkDesc;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long createUserId;

    /** 更新者 */
    @Excel(name = "更新者")
    private Long updateUserId;

    /** 采购时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "采购时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date purchaseTime;

    /** 0是否删除 */
    @Excel(name = "0是否删除")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo()
    {
        return batchNo;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setNum(Long num)
    {
        this.num = num;
    }

    public Long getNum()
    {
        return num;
    }
    public void setOpCompanyId(Long opCompanyId)
    {
        this.opCompanyId = opCompanyId;
    }

    public Long getOpCompanyId()
    {
        return opCompanyId;
    }
    public void setCityIds(String cityIds)
    {
        this.cityIds = cityIds;
    }

    public String getCityIds()
    {
        return cityIds;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setLinkDesc(String linkDesc)
    {
        this.linkDesc = linkDesc;
    }

    public String getLinkDesc()
    {
        return linkDesc;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setPurchaseTime(Date purchaseTime)
    {
        this.purchaseTime = purchaseTime;
    }

    public Date getPurchaseTime()
    {
        return purchaseTime;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("materialId", getMaterialId())
            .append("batchNo", getBatchNo())
            .append("companyId", getCompanyId())
            .append("num", getNum())
            .append("opCompanyId", getOpCompanyId())
            .append("cityIds", getCityIds())
            .append("cityName", getCityName())
            .append("linkDesc", getLinkDesc())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("purchaseTime", getPurchaseTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
